3

I can't install mongo driver into my ubuntu development system. When I run the command

sudo pecl install mongo

I got this error:

configure: error: sasl.h not found! ERROR: `/tmp/pear/temp/mongo/configure --with-mongo-sasl=n' failed

I don't know who to fix or resolve my issue. Please give me some help.

Many thanks

1 Answer 1

14

the error message you got:

configure: error: sasl.h not found!

should be solveable by:

sudo apt-get install libsasl2-dev

for CentOS:

yum install cyrus-sasl-devel

Source:

https://stackoverflow.com/questions/22102326/install-pecl-memcached-error

3
  • have an option for this for yum?
    – Jage
    Jan 26, 2015 at 14:41
  • @Jage see my edit. stackoverflow.com/questions/22102326/… for future issues with similiar problems: search for the error message ("configure: error: sasl.h not found!") + your OS in your prefered search engine You might get a package name , which, after installing might solve the problem you are facing. Jan 27, 2015 at 8:24
  • 1
    Alpine Linux has the packaged named: libsasl.
    – Kevin
    Mar 30, 2017 at 21:25

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .